Loading
Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more

crowdAI is shutting down - please read our blog post for more information

NeurIPS 2018: AI for Prosthetics Challenge

Reinforcement learning with musculoskeletal models


Completed
4575
Submissions
477
Participants
68053
Views

Submission errors

Posted by Shmuma over 1 year ago

Hi!

Getting this status since osim-rl upgrade:

Traceback (most recent call last): File “C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\osim\http\client.py”, line 26, in _parse_server_error_or_raise_for_status j = resp.json() File “C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\requests\models.py”, line 892, in json return complexjson.loads(self.text, **kwargs) File “C:\Users\maxl\Anaconda3\envs\nips_run2\lib\json__init__.py”, line 354, in loads return _default_decoder.decode(s) File “C:\Users\maxl\Anaconda3\envs\nips_run2\lib\json\decoder.py”, line 339, in decode obj, end = self.raw_decode(s, idx=_w(s, 0).end()) File “C:\Users\maxl\Anaconda3\envs\nips_run2\lib\json\decoder.py”, line 357, in raw_decode raise JSONDecodeError(“Expecting value”, s, err.value) from None json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “./adhoc/bl_submit.py”, line 41, in observation = client.env_create(crowdai_token, env_id="ProstheticsEnv") File "C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\osim\http\client.py", line 61, in env_create return self.env_reset() File "C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\osim\http\client.py", line 65, in env_reset resp = self._post_request(route, None) File "C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\osim\http\client.py", line 42, in _post_request return self._parse_server_error_or_raise_for_status(resp) File "C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\osim\http\client.py", line 31, in _parse_server_error_or_raise_for_status resp.raise_for_status() File "C:\Users\maxl\Anaconda3\envs\nips_run2\lib\site-packages\requests\models.py", line 935, in raise_for_status raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 500 Server Error: INTERNAL SERVER ERROR for url: http://grader.crowdai.org:1729/v1/envs/2681___4511887549/reset/